{
  "schema_version": "1.4.0",
  "id": "GHSA-f4gr-qh9c-r8fg",
  "modified": "2022-05-17T05:13:24Z",
  "published": "2022-05-17T05:13:24Z",
  "aliases": [
    "CVE-2012-4459"
  ],
  "details": "Integer overflow in the qpid::framing::Buffer::checkAvailable function in Apache Qpid 0.20 and earlier allows remote attackers to cause a denial of service (crash) via a crafted message, which triggers an out-of-bounds read.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-4459"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=861241"
    },
    {
      "type": "WEB",
      "url": "https://issues.apache.org/jira/browse/QPID-4629"
    },
    {
      "type": "WEB",
      "url": "https://issues.apache.org/jira/issues/?jql=fixVersion%20%3D%20%220.21%22%20AND%20project%20%3D%20QPID"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2013-0561.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2013-0562.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/52516"
    },
    {
      "type": "WEB",
      "url": "http://svn.apache.org/viewvc?view=revision&revision=1453031"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-03-14T03:10:00Z"
  }
}